/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/* MosP - Mind Open Source Project         http://www.mosp.jp/
* Copyright (C) 1987-2008 MIND Co., Ltd.  http://www.e-mind.co.jp/
* 
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package jp.mosp.payroll.dto;

import jp.mosp.common.common.BaseDto;

public class MExportPaymentDto extends BaseDto {
	
	private static final long	serialVersionUID	= -8948061962388729441L;
	//	 フィールド
	private String				ename				= "";						//名称
	private String				efile				= "";						//テーブルID
	private int					eline				= 0;						//順番
	private String				efname				= "";						//フィールド名称
																				
	
	/**
	 * コンストラクタ
	 */
	public MExportPaymentDto() {
		super();
	}
	
	/**
	 * フィールド名称内のデータ分解取得
	 *  0 : ファイルID
	 *  1 : 管理番号
	 *  2 : フィールドID
	 *  3 : フィールド名称
	 */
	public String getEFnameItem(String csvString, int i) {
		//　管理番号取得
		if (!csvString.equals("")) {
			String[] arl;
			arl = csvString.split(",");
			return arl[i];
		}
		return "";
	}
	
	// アクセサメソッド
	public String getEName() {
		return ename;
	} //名称
	
	public String getEFile() {
		return efile;
	} //テーブルID
	
	public int getELine() {
		return eline;
	} //順番
	
	public String getEFname() {
		return efname;
	} //フィールド名称
	
	public String getEFname0() {
		return getEFnameItem(efname, 0);
	} //ファイルID
	
	public String getEFname1() {
		return getEFnameItem(efname, 1);
	} //管理番号
	
	public String getEFname2() {
		return getEFnameItem(efname, 2);
	} //フィールドID
	
	public String getEFname3() {
		return getEFnameItem(efname, 3);
	} //フィールド名称
	
	public void setEName(String eName) {
		ename = eName;
	} //名称
	
	public void setEFile(String eFile) {
		efile = eFile;
	} //テーブルID
	
	public void setELine(int eLine) {
		eline = eLine;
	} //順番
	
	public void setEFname(String eFname) {
		efname = eFname;
	} //フィールド名称
}
